'use strict'

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 * All rights reserved.
 *
 * This source code is licensed under the BSD-style license found in the
 * LICENSE file in the root directory of this source tree. An additional grant
 * of patent rights can be found in the PATENTS file in the same directory.
 *
 *
 * @format
 */
import Yoga from './entry-common.js'
import nbind from './nbind.js'

let ran = false

export default new Promise(function (resolve, reject) {
	nbind({}, function (err, result) {
		debugger
		if (ran) {
			return
		}
		ran = true
		if (err) {
			// throw err
			reject(err)
		}
		const ret = Yoga(result.bind, result.lib)
		resolve(ret)
	})
})
/* if (!ran) {
	throw new Error("Failed to load the yoga module - it needed to be loaded synchronously, but didn't")
} */

// $FlowFixMe ret will not be null here
